require "time_bucket/version"
require "active_support/core_ext/numeric/time"
require "active_support/core_ext/date/calculations"

module TimeBucket
  TIME_INTERVALS = [
    "30 minutes", "1 hour", "3 hours", "6 hours", "12 hours", "1 day"
  ]

  def self.bucket_from_seconds(seconds)
    bucket = TIME_INTERVALS.detect do |interval|
      time_interval, time_units = interval.split(' ')
      seconds.floor <= (Time.now - time_interval.to_i.send(time_units).ago).to_i
    end
    bucket || "longer than #{TIME_INTERVALS.last}"
  end
end
